Bug 60576 - Lilo failed
Lilo failed
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-01 14:33 EST by yi zhang
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-04 18:54:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yi zhang 2002-03-01 14:33:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0)

Description of problem:
When add a new kernel for lilo to boot, 'lilo' command returns this error 
message "Fatal: main: GET_DISK_INFO: Invalid argument". This machine has a 
mirror disk with SCSI (Adoptec 7899P).

When try the samething on a machine which had an IDE and doesn't
have a mirror disk. "lilo" command succeeded and it boot the new kernel.

This is urgent, the redhat support person Edwin asked me to enter a bug here, 
please help!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.add a new kernel 2.4.2-2 in /etc/lilo.conf
2. type 'lilo'
3. error message: "Fatal: main: GET_DISK_INFO: Invalid argument". 
	

Actual Results:  error message: "Fatal: main: GET_DISK_INFO: Invalid argument". 

Expected Results:  'lilo' should return to prompt

Additional info:
Comment 1 yi zhang 2002-03-04 18:54:12 EST
Content of lilo

*********************
boot=/dev/mdo
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
linear
default=linux

image=/boot/vmlinuz-2.4.3-6
label=linux
initrd=/boot/initrd-2.4.3-6.img
read-only
root=/dev/md2
************************

output of "cat /proc/mdstat"

pesonalities [raid1]
read_ahead 1024 sectors

md0 : active raid1 sda1[1]
      56128 blocks [2/1] [_U]

md1 : active raid1 sda5[1]
      1052160 blocks [2/1] [_U]

md2 : active raid1 sda6[1]
      34451264 blocks [2/1] [_U]


Comment 2 Doug Ledford 2002-03-20 11:56:39 EST
This is a case of user error.  The boot=/dev/mdo line in the /etc/lilo.conf file
should be boot=/dev/md0 (note, you used lower case "ohh" when you should have
put "zero" into the device string).  Lilo is simply telling you that it can't
get disk information on the boot device you have entered.

Note You need to log in before you can comment on or make changes to this bug.